unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var R: TRect;
begin
  R:=Form1.GetClientRect;  //R typu TRect można zadeklarować jako zmienną lokalną
  Label1.Caption:='Prawy, dolny wierzchołek: '+Inttostr(R.Right)+','+ Inttostr(R.Bottom);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Canvas.Pixels[ClientWidth div 2, ClientHeight div 2]:=clRed;
end;

end.
